=== debian/control ===
Source: uc-echo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>,
           Navid Fehrenbacher <nf@q-leap.de>,
           Pierre Gruet <pgt@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-sequence-python3,
               python3:any,
               python3-scipy,
               python3-numpy,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/uc-echo
Vcs-Git: https://salsa.debian.org/med-team/uc-echo.git
Homepage: https://uc-echo.sourceforge.net/
Rules-Requires-Root: no

Package: uc-echo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy
Description: error correction algorithm designed for short-reads from NGS
 ECHO is an error correction algorithm designed for short-reads
 from next-generation sequencing platforms such as Illumina's
 Genome Analyzer II. The algorithm uses a Bayesian framework to
 improve the quality of the reads in a given data set by employing
 maximum a posteriori estimation.
