=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/architecture.mk
LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)
CPATH=/usr/include/$(DEB_HOST_MULTIARCH)
export LIBRARY_PATH CPATH

CXXFLAGS += $(ADDCXXFLAGS)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	echo "I: DEB_HOST_ARCH: $(DEB_HOST_ARCH)"
	echo "I: ADDCXXFLAGS: $(ADDCXXFLAGS)"
	echo "I: CXXFLAGS: $(CXXFLAGS)"
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs README

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/*/usr/lib/*/*.py
