=== debian/tests/control ===
Tests: runtest
Depends: @
