=== debian/watch ===
version=4
opts="uversionmangle=s/_/./" \
 https://sf.net/uc-echo/echo_v([\d_]+)\.tgz
